Bug 834476 - (CVE-2012-2142) VUL-1: CVE-2012-2142: poppler: Insufficient sanitization of escape sequences in the error message
(CVE-2012-2142)
VUL-1: CVE-2012-2142: poppler: Insufficient sanitization of escape sequences ...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
CVSSv2:RedHat:CVE-2012-2142:2.6:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 15:52 UTC by Alexander Bergmann
Modified: 2020-04-01 22:09 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2013-08-12 15:52:27 UTC
This is a tracker bug for CVE-2012-2142 and poppler. 

See bug#834475 for details about this issue.
Comment 2 Swamp Workflow Management 2013-08-12 22:00:19 UTC
bugbot adjusting priority
Comment 4 Bjørn Lie 2013-08-13 10:41:45 UTC
SR#186927 done for affected openSUSE 12.2 -- 12.3 and newer are already fixed by upstream.
Comment 5 Bernhard Wiedemann 2013-08-13 11:00:08 UTC
This is an autogenerated message for OBS integration:
This bug (834476) was mentioned in
https://build.opensuse.org/request/show/186927 Maintenance /
Comment 6 Swamp Workflow Management 2013-08-22 13:04:50 UTC
openSUSE-SU-2013:1371-1: An update that solves one vulnerability and has one errata is now available.

Category: security (moderate)
Bug References: 795582,834476
CVE References: CVE-2012-2142
Sources used:
openSUSE 12.2 (src):    poppler-0.20.0-2.13.1, poppler-qt-0.20.0-2.13.1
Comment 7 Petr Tesařík 2014-05-19 15:15:04 UTC
Argh, this got buried under other tasks.

Tomas, you're maintaining poppler now, right?
Comment 8 Tomáš Chvátal 2014-05-20 10:19:14 UTC
Hmm this seems to be fixed no? Or should I do something here?
Comment 11 Tomáš Chvátal 2014-05-20 11:31:34 UTC
OK I would say we are all fixed. Reopen if it is otherwise.